#ifndef __CANDATA_HANDLE_H
#define __CANDATA_HANDLE_H
#include "soft_can.h"

enum CAN_rkfifo_handle
{
    CAN_HEAD = 0,
    CAN_ID,
    CAN_IDE,
    CAN_DLC,
    CAN_FILTER,
    CAN_DATA
};



void Can1_decode_data_function(CAN_RxHeaderTypeDef Rxhead);
void Can2_decode_data_function(CAN_RxHeaderTypeDef Rxhead);
void thread_can_task_entry(void *param);

#endif
